<?xml version="1.0" encoding="UTF-8"?>

<?import com.jfoenix.controls.JFXButton?>
<?import com.jfoenix.controls.JFXTextField?>
<?import de.jensd.fx.glyphs.fontawesome.FontAwesomeIconView?>
<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.ScrollPane?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.VBox?>
<?import javafx.scene.text.Font?>

<AnchorPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="550.0" prefWidth="360.0" xmlns="http://javafx.com/javafx/16" xmlns:fx="http://javafx.com/fxml/1" fx:controller="Client.View.viewControllers.commentBoxController">
   <children>
      <AnchorPane prefHeight="36.0" prefWidth="360.0">
         <children>
            <Label alignment="CENTER" layoutX="111.0" layoutY="1.0" prefHeight="39.0" prefWidth="138.0" text="comments">
               <font>
                  <Font name="System Bold" size="16.0" />
               </font>
            </Label>
            <FontAwesomeIconView glyphName="PAPER_PLANE_ALT" layoutX="316.0" layoutY="27.0" size="19" text="" wrappingWidth="30.0" />
            <JFXButton layoutY="6.0" onAction="#back" text=" ">
               <graphic>
                  <FontAwesomeIconView glyphName="CHEVRON_LEFT" size="21" />
               </graphic>
            </JFXButton>
            <Label fx:id="postID" layoutX="97.0" layoutY="12.0" text=" " textFill="#faf3f3" />
            <Label fx:id="otherUsername" layoutX="249.0" layoutY="12.0" text=" " textFill="#faf8f8" />
         </children>
      </AnchorPane>
      <ScrollPane layoutY="40.0" prefHeight="464.0" prefWidth="360.0">
         <content>
            <VBox fx:id="showComments" prefHeight="460.0" prefWidth="359.0" />
         </content>
      </ScrollPane>
      <JFXTextField fx:id="comment" layoutY="504.0" prefHeight="40.0" prefWidth="360.0" promptText="Comment ..." style="-fx-background-color: #d4d3d3; -fx-background-radius: 30;">
         <padding>
            <Insets left="20.0" right="19.0" />
         </padding>
      </JFXTextField>
      <JFXButton layoutX="303.0" layoutY="511.0" onAction="#newComment" style="-fx-background-color: #058cba; -fx-background-radius: 20;" text="Send" textFill="#f5f4f4">
         <font>
            <Font name="System Bold" size="13.0" />
         </font>
      </JFXButton>
   </children>
</AnchorPane>
